SND_SOC_JACK_NEW(9)

NAME
snd_soc_jack_new - Create a new jack

SYNOPSIS

int snd_soc_jack_new(struct snd_soc_codec * codec, const char * id, int type, struct snd_soc_jack * jack);

ARGUMENTS

codec
    ASoC codec

id
    an identifying string for this jack

type
    a bitmask of enum snd_jack_type values that can be detected by this jack

jack
    structure to use for the jack

DESCRIPTION

Creates a new jack object.

Returns zero if successful, or a negative error code on failure. On success jack will be initialised.

COPYRIGHT